curl --request DELETE \
--url https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId} \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-revolv3-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-revolv3-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}")
.header("x-revolv3-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-revolv3-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"subscriptionId": 1,
"customerId": 1,
"merchantSubscriptionRefId": "1234-5678-9101",
"networkTransactionId": null,
"billingIntervalType": "Months",
"billingIntervalCount": 1,
"subscriptionStatusType": "Current",
"subscriptionCancelType": "Immediate",
"initialBillDate": "11/3/2026",
"nextBillDate": "12/3/2026",
"taxAddress": null,
"paymentMethodIds": [
1,
2
],
"cancelledAt": null,
"billingPlans": [
{
"subscriptionBillingPlanId": 1,
"subscriptionId": 0,
"name": "Billing Plan 1",
"value": 10.99,
"startDate": "11/3/2026",
"cyclesRemaining": -1,
"cycleCount": 0,
"valueType": "Standard"
},
{
"subscriptionBillingPlanId": 2,
"subscriptionId": 0,
"name": "Billing Plan 2",
"value": 14.99,
"startDate": "12/3/2026",
"cyclesRemaining": 12,
"cycleCount": 0,
"valueType": "Standard"
}
],
"message": null,
"paymentProcessor": null,
"processorMerchantId": null,
"processorRawResponse": null,
"currency": null,
"responseMessage": null,
"responseCode": null
}{
"message": "Attempted to perform an unauthorized operation.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Unable to find an entity with the provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}Delete Subscription Billing Plan
Deletes a subscription billing plan that is no longer needed. This operation is allowed only if the plan is not currently associated with any active subscriptions.
It’s typically used during cleanup, testing, or deprecation of old pricing tiers. Attempting to delete a plan that is still in use will result in an error.
curl --request DELETE \
--url https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId} \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-revolv3-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-revolv3-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}")
.header("x-revolv3-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.revolv3.com/api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-revolv3-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"subscriptionId": 1,
"customerId": 1,
"merchantSubscriptionRefId": "1234-5678-9101",
"networkTransactionId": null,
"billingIntervalType": "Months",
"billingIntervalCount": 1,
"subscriptionStatusType": "Current",
"subscriptionCancelType": "Immediate",
"initialBillDate": "11/3/2026",
"nextBillDate": "12/3/2026",
"taxAddress": null,
"paymentMethodIds": [
1,
2
],
"cancelledAt": null,
"billingPlans": [
{
"subscriptionBillingPlanId": 1,
"subscriptionId": 0,
"name": "Billing Plan 1",
"value": 10.99,
"startDate": "11/3/2026",
"cyclesRemaining": -1,
"cycleCount": 0,
"valueType": "Standard"
},
{
"subscriptionBillingPlanId": 2,
"subscriptionId": 0,
"name": "Billing Plan 2",
"value": 14.99,
"startDate": "12/3/2026",
"cyclesRemaining": 12,
"cycleCount": 0,
"valueType": "Standard"
}
],
"message": null,
"paymentProcessor": null,
"processorMerchantId": null,
"processorRawResponse": null,
"currency": null,
"responseMessage": null,
"responseCode": null
}{
"message": "Attempted to perform an unauthorized operation.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Unable to find an entity with the provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}Headers
Optional identifier generated by the client to match its own logs with this request.
Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.
Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.
A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support.
An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.
1 - 128^[A-Za-z0-9._:-]{1,128}$Path Parameters
Response
OK

